Security Enhanced Linux Reference Policy

# Layer: services

## Module: lircd

Interfaces

### Description:

Linux infared remote control daemon

### Interfaces:

lircd_admin( domain , role )

##### Summary

All of the rules required to administrate a lircd environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the syslog domain.

lircd_domtrans( domain )

##### Summary

Execute a domain transition to run lircd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

lircd_read_config( domain )

##### Summary

Read lircd etc file

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

lircd_stream_connect( domain )

##### Summary

Connect to lircd over a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return